<?
include_once("mysql.php");
include_once("inclydings/sesi.php");
include 'inclydings/sesi.php';
include_once("inclydings/ini.php");
include_once("inclydings/header.php");
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$hp=trim($udata[16]);
$allhp=trim($udata[17]);}
if (isset($user)) {
$text = @file("L2dbnam/esql2db/ip/$log.dat");
$vhod = explode(":||:",$text[0]);
echo"<b>Данные последнего входа:</b><br/>";
if(!@file("L2dbnam/esql2db/ip/$log.dat")){echo"Данных еще нет<br/>";}else{
echo"Ваш IP: $vhod[1]<br/>";
echo"Браузер: $vhod[0]<br/>";
}
echo"<b>Ваши данные:</b><br/>";
$browser_name = $_SERVER['HTTP_USER_AGENT'];
echo"$browser_name";
echo"<br/>";
echo"Ваш IP: ";
$ip=$_SERVER['REMOTE_ADDR'];
echo"$ip";
echo"<br/>";
echo"- - - -<br/>";
echo"Поздравляем $log Вы успешно прошли авторизацию<br/><br/>";
echo"<a href=\"main.php?$sd\">Войти в игру</a><br/><br/>";
$text="$browser_name:||:$ip:||:";
$fp=fopen("L2dbnam/esql2db/ip/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include 'inclydings/nogi.php';
?>